com.tibbo.aggregate.common.filter

## Enum FunctionOperation.FilterFunctions

- java.lang.Object
- - java.lang.Enum<FunctionOperation.FilterFunctions>
  - - com.tibbo.aggregate.common.filter.FunctionOperation.FilterFunctions

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FunctionOperation.FilterFunctions>
  Enclosing class:
    FunctionOperation

      public static enum FunctionOperation.FilterFunctions
      extends java.lang.Enum<FunctionOperation.FilterFunctions>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEGINS_WITH`
    `COLOR`
    `CONTAINS`
    `END_WITH`
    `IN`
    `IS_NOT_NULL`
    `IS_NULL`
    `LAST_HOUR`
    `LAST_MONTH`
    `LAST_WEEK`
    `LAST_X_DAYS`
    `LAST_X_HOURS`
    `LAST_X_MONTHS`
    `LAST_X_WEEKS`
    `LAST_X_YEARS`
    `LAST_YEAR`
    `NEXT_HOUR`
    `NEXT_MONTH`
    `NEXT_WEEK`
    `NEXT_X_DAYS`
    `NEXT_X_HOURS`
    `NEXT_X_MONTHS`
    `NEXT_X_WEEKS`
    `NEXT_X_YEARS`
    `NEXT_YEAR`
    `ON`
    `ON_OR_AFTER`
    `ON_OR_BEFORE`
    `SIMPLE_CONTAINS`
    `THIS_HOUR`
    `THIS_MONTH`
    `THIS_WEEK`
    `THIS_YEAR`
    `TODAY`
    `TOMORROW`
    `YESTERDAY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `static FunctionOperation.FilterFunctions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FunctionOperation.FilterFunctions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IS_NULL

          public static final FunctionOperation.FilterFunctions IS_NULL

    - #### IS_NOT_NULL

          public static final FunctionOperation.FilterFunctions IS_NOT_NULL

    - #### CONTAINS

          public static final FunctionOperation.FilterFunctions CONTAINS

    - #### BEGINS_WITH

          public static final FunctionOperation.FilterFunctions BEGINS_WITH

    - #### END_WITH

          public static final FunctionOperation.FilterFunctions END_WITH

    - #### IN

          public static final FunctionOperation.FilterFunctions IN

    - #### ON

          public static final FunctionOperation.FilterFunctions ON

    - #### ON_OR_AFTER

          public static final FunctionOperation.FilterFunctions ON_OR_AFTER

    - #### ON_OR_BEFORE

          public static final FunctionOperation.FilterFunctions ON_OR_BEFORE

    - #### LAST_HOUR

          public static final FunctionOperation.FilterFunctions LAST_HOUR

    - #### THIS_HOUR

          public static final FunctionOperation.FilterFunctions THIS_HOUR

    - #### NEXT_HOUR

          public static final FunctionOperation.FilterFunctions NEXT_HOUR

    - #### YESTERDAY

          public static final FunctionOperation.FilterFunctions YESTERDAY

    - #### TODAY

          public static final FunctionOperation.FilterFunctions TODAY

    - #### TOMORROW

          public static final FunctionOperation.FilterFunctions TOMORROW

    - #### LAST_WEEK

          public static final FunctionOperation.FilterFunctions LAST_WEEK

    - #### THIS_WEEK

          public static final FunctionOperation.FilterFunctions THIS_WEEK

    - #### NEXT_WEEK

          public static final FunctionOperation.FilterFunctions NEXT_WEEK

    - #### LAST_MONTH

          public static final FunctionOperation.FilterFunctions LAST_MONTH

    - #### THIS_MONTH

          public static final FunctionOperation.FilterFunctions THIS_MONTH

    - #### NEXT_MONTH

          public static final FunctionOperation.FilterFunctions NEXT_MONTH

    - #### LAST_YEAR

          public static final FunctionOperation.FilterFunctions LAST_YEAR

    - #### THIS_YEAR

          public static final FunctionOperation.FilterFunctions THIS_YEAR

    - #### NEXT_YEAR

          public static final FunctionOperation.FilterFunctions NEXT_YEAR

    - #### LAST_X_HOURS

          public static final FunctionOperation.FilterFunctions LAST_X_HOURS

    - #### NEXT_X_HOURS

          public static final FunctionOperation.FilterFunctions NEXT_X_HOURS

    - #### LAST_X_DAYS

          public static final FunctionOperation.FilterFunctions LAST_X_DAYS

    - #### NEXT_X_DAYS

          public static final FunctionOperation.FilterFunctions NEXT_X_DAYS

    - #### LAST_X_WEEKS

          public static final FunctionOperation.FilterFunctions LAST_X_WEEKS

    - #### NEXT_X_WEEKS

          public static final FunctionOperation.FilterFunctions NEXT_X_WEEKS

    - #### LAST_X_MONTHS

          public static final FunctionOperation.FilterFunctions LAST_X_MONTHS

    - #### NEXT_X_MONTHS

          public static final FunctionOperation.FilterFunctions NEXT_X_MONTHS

    - #### LAST_X_YEARS

          public static final FunctionOperation.FilterFunctions LAST_X_YEARS

    - #### NEXT_X_YEARS

          public static final FunctionOperation.FilterFunctions NEXT_X_YEARS

    - #### COLOR

          public static final FunctionOperation.FilterFunctions COLOR

    - #### SIMPLE_CONTAINS

          public static final FunctionOperation.FilterFunctions SIMPLE_CONTAINS

  - ### Method Detail

    - #### values

          public static FunctionOperation.FilterFunctions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FunctionOperation.FilterFunctions c : FunctionOperation.FilterFunctions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FunctionOperation.FilterFunctions valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()